#!/usr/bin/env python

"""
Tidy the ElectrEm source code.
"""

from glob import glob

cpp = glob("*.cpp")
h = glob("*.h")

# Process both .cpp and .h files.

for filename in cpp + h:
    print "Processing", filename

    # Read the text from the file.

    f = open(filename)
    text = f.read()
    f.close()

    # Strip all "\r" characters and write the file.

    f = open(filename, "w")
    f.write(text.replace("\r", ""))
    f.close()

# vim: tabstop=4 expandtab shiftwidth=4
